Bug 1851013 - [RFE] [Independent] The Independent mode deployment option should not be listed for unsupported platforms, like cloud
Summary: [RFE] [Independent] The Independent mode deployment option should not be list...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Bipul Adhikari
QA Contact: Martin Bukatovic
URL:
Whiteboard:
Depends On:
Blocks: 1881380
TreeView+ depends on / blocked
 
Reported: 2020-06-25 12:26 UTC by Rachael
Modified: 2020-09-22 10:28 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1881380 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
External option still available on AWS with 4.6.0-0.nightly-2020-09-16-050052 (63.87 KB, image/png)
2020-09-16 09:58 UTC, Elena Bondarenko
no flags Details
External option disabled on AWS with 4.6.0-0.nightly-2020-09-17-004654 (47.44 KB, image/png)
2020-09-17 09:10 UTC, Elena Bondarenko
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6507 None closed Bug 1851013: Disable creation of External Mode Cluster in cloud environments 2020-09-23 06:15:08 UTC
Github openshift console pull 6645 None closed Bug 1851013: Independent mode disabled for Cloud Platforms 2020-09-22 06:13:32 UTC

Comment 3 Neha Berry 2020-06-25 13:48:15 UTC
Reason for ask is to avoid situations like https://bugzilla.redhat.com/show_bug.cgi?id=1851009

Comment 4 Nishanth Thomas 2020-07-01 07:08:47 UTC
Feature request, moving out to 4.6

Comment 6 Bipul Adhikari 2020-09-03 10:10:29 UTC
Dropping the severity(to medium) of this issue as the main problem where status is shown falsely as "Connected" is handled by https://bugzilla.redhat.com/show_bug.cgi?id=1851009.

Comment 9 Martin Bukatovic 2020-09-15 15:55:12 UTC
QE will verify this bug on the following cloud platforms:

- Azure
- AWS
- GCP

Comment 10 Elena Bondarenko 2020-09-16 09:56:56 UTC
On an AWS cluster with 4.6.0-0.nightly-2020-09-16-050052 I still see External option for storage cluster creation

Comment 11 Elena Bondarenko 2020-09-16 09:58:22 UTC
Created attachment 1715047 [details]
External option still available on AWS with 4.6.0-0.nightly-2020-09-16-050052

Comment 14 Elena Bondarenko 2020-09-17 07:20:34 UTC
With 4.6.0-0.nightly-2020-09-17-004654 on AWS cluster External option is no longer available.

Comment 15 Elena Bondarenko 2020-09-17 09:10:59 UTC
Created attachment 1715196 [details]
External option disabled on AWS with 4.6.0-0.nightly-2020-09-17-004654

Comment 16 Martin Bukatovic 2020-09-17 14:57:58 UTC
Testing with:

- OCP 4.6.0-0.nightly-2020-09-17-050000
- OCS 4.6.0-564.ci

On both Azure and GCP, I see that on "Create Storage Cluster" page, "External mode" option is disabled as expected.

Based on this observation and verification on AWS by Elena (comment 14), I'm moving the bug to VERIFIED state.


Note You need to log in before you can comment on or make changes to this bug.